From d1cd25a5ecf2e03f4b8b6f92d192a4ae3dbf9540 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Sun, 1 Mar 2020 19:31:28 +0530
Subject: [PATCH 1/2] Net LED

Change-Id: I17e69a03e895aff3fb067d5acfe16e07dd253689
---
 common/device.te        | 1 +
 common/file_contexts    | 5 +++++
 common/platform_app.te  | 5 +++++
 common/untrusted_app.te | 2 +-
 4 files changed, 12 insertions(+), 1 deletion(-)

diff --git a/common/device.te b/common/device.te
index 2217974..ca13821 100644
--- a/common/device.te
+++ b/common/device.te
@@ -129,6 +129,7 @@ type usf_device, dev_type;
 
 #Define seemplog device
 type seemplog_device, dev_type;
+type quec_device, dev_type,mlstrustedobject;
 
 #Define qbt1000 device - ultrasonic fingperprint sensor
 type qbt1000_device, dev_type;
diff --git a/common/file_contexts b/common/file_contexts
index bb83e4f..2068a32 100644
--- a/common/file_contexts
+++ b/common/file_contexts
@@ -76,6 +76,11 @@
 /dev/dri/card0                                  u:object_r:graphics_device:s0
 /dev/dri/controlD64                             u:object_r:graphics_device:s0
 /dev/dri/renderD128                             u:object_r:graphics_device:s0
+/sys/class/gpio/gpio969/value                                       u:object_r:sysfs_gpio:s0
+/sys/devices/soc/1000000.pinctrl/gpio/gpio969/value                 u:object_r:sysfs_gpio:s0
+/sys/devices/soc.0/1000000.pinctrl/gpio/gpio969(/.*)?               u:object_r:quec_device:s0
+/sys/devices/soc.0/1000000.pinctrl/gpio/gpio969/direction               u:object_r:quec_device:s0
+/sys/devices/soc.0/1000000.pinctrl/gpio/gpio969/value               u:object_r:quec_device:s0
 
 ###################################
 # Dev block nodes
diff --git a/common/platform_app.te b/common/platform_app.te
index 0dd94dd..9db9d47 100644
--- a/common/platform_app.te
+++ b/common/platform_app.te
@@ -30,3 +30,8 @@ allow platform_app gba_auth_service:service_manager find;
 
 # Allow dpmservice to be found
 allow platform_app dpmservice:service_manager find;
+allow platform_app quec_device:file rw_file_perms;
+allow platform_app quec_device:dir search;
+allow system_app quec_device:file rw_file_perms;
+allow quec_device sysfs:filesystem associate;
+allow ueventd quec_device:{file dir lnk_file} relabelto;
diff --git a/common/untrusted_app.te b/common/untrusted_app.te
index b7f7acb..a0be825 100644
--- a/common/untrusted_app.te
+++ b/common/untrusted_app.te
@@ -26,4 +26,4 @@ allow untrusted_app gba_auth_service:service_manager find;
 
 #for sysfs_socinfo 
 allow  priv_app sysfs_socinfo:file rw_file_perms;
-
+allow untrusted_app sysfs_gpio:{file chr_file lnk_file} rw_file_perms;
-- 
2.7.4

